/*************************************
Lab: Patient Visit Count Summary
Author:  John Shipway, SAS Institute
Date:  December 18, 2007;
Description: 

**************************************/

%let treat=&TrtName;  *treatment group;

* Select patient population; 
data pop(keep=usubjid &treat);
	set &in_adsl;
run;

data lab(keep=usubjid lbstresn visitnum);
	set lb;
	/*note, the below if filters out visit 1.1, 2.1 etc...and only shows integer visit numbers */
	if visitnum = ROUND(visitnum);  
run;

proc sort data=pop; by usubjid; run;
proc sort data=lab; by usubjid; run;

data labpop;
	merge pop(in=inpop) lab;
	by usubjid;
	if inpop;
run;


data reportdata;
	set labpop;
run;

%let domain = Labs;
%let title = Laboratory Summary: Raw Number of Patient Visits;
%MACRO TAB;
%if &Output_RTF = Yes %then %do;
ODS RTF PREPAGE ="^S={outputwidth=100% just=l} {\tc\f3\fs0\cf8 &domain. : &Title.}";
%END;
title "&title";
proc tabulate data=reportdata contents="&title";
	class visitnum &treat;
	table visitnum ALL, &treat ALL;
	ods proclabel = "&domain";		 	
run;
%MEND TAB;
%TAB;
*ods rtf text="^S={outputwidth=100% just=l} {\tc\f3\fs0\cf8 &domain. : &Title.}";

%postProcess;

